Index: t3lib/class.t3lib_tsparser_ext.php
===================================================================
--- t3lib/class.t3lib_tsparser_ext.php	(revision 9100)
+++ t3lib/class.t3lib_tsparser_ext.php	(revision )
@@ -507,47 +513,49 @@
 	 * @param	[type]		$keyArray: ...
 	 * @return	[type]		...
 	 */
-	function ext_getSearchKeys($arr, $depth_in, $searchString, $keyArray)		{
+	function ext_getSearchKeys($arr, $depth_in, $searchString, $keyArray) {
-		$keyArr=array();
+		$keyArr = array();
 		foreach ($arr as $key => $value) {
-			$key=preg_replace('/\.$/','',$key);
+			$key = preg_replace('/\.$/', '', $key);
-			if (substr($key,-1)!='.')	{
+			if (substr($key, -1) != '.') {
-				$keyArr[$key]=1;
+				$keyArr[$key] = 1;
 			}
 		}
-		$c=count($keyArr);
+		$c = count($keyArr);
-		if ($depth_in)	{ $depth_in = $depth_in.'.'; }
+		if ($depth_in) {
+			$depth_in = $depth_in . '.';
+		}
 		foreach ($keyArr as $key => $value) {
-			$depth=$depth_in.$key;
+			$depth = $depth_in . $key;
-			$deeper = is_array($arr[$key.'.']);
+			$deeper = is_array($arr[$key . '.']);
 
-			if ($this->regexMode)	{
+			if ($this->regexMode) {
-				if (preg_match('/'.$searchString.'/',$arr[$key]))	{	// The value has matched
+				if (preg_match('/' . $searchString . '/', $arr[$key])) { // The value has matched
-					$this->tsbrowser_searchKeys[$depth]+=2;
+					$this->tsbrowser_searchKeys[$depth] += 2;
 				}
-				if (preg_match('/'.$searchString.'/',$key))	{		// The key has matched
+				if (preg_match('/' . $searchString . '/', $key)) { // The key has matched
-					$this->tsbrowser_searchKeys[$depth]+=4;
+					$this->tsbrowser_searchKeys[$depth] += 4;
 				}
-				if (preg_match('/'.$searchString.'/',$depth_in))	{	// Just open this subtree if the parent key has matched the search
+				if (preg_match('/' . $searchString . '/', $depth_in)) { // Just open this subtree if the parent key has matched the search
-					$this->tsbrowser_searchKeys[$depth]=1;
+					$this->tsbrowser_searchKeys[$depth] = 1;
 				}
 			} else {
-				if (stristr($arr[$key],$searchString))	{	// The value has matched
+				if (stristr($arr[$key], $searchString)) { // The value has matched
-					$this->tsbrowser_searchKeys[$depth]+=2;
+					$this->tsbrowser_searchKeys[$depth] += 2;
 				}
-				if (stristr($key,$searchString))	{	// The key has matches
+				if (stristr($key, $searchString)) { // The key has matches
-					$this->tsbrowser_searchKeys[$depth]+=4;
+					$this->tsbrowser_searchKeys[$depth] += 4;
 				}
-				if (stristr($depth_in,$searchString))	{	// Just open this subtree if the parent key has matched the search
+				if (stristr($depth_in, $searchString)) { // Just open this subtree if the parent key has matched the search
-					$this->tsbrowser_searchKeys[$depth]=1;
+					$this->tsbrowser_searchKeys[$depth] = 1;
 				}
 			}
 
-			if ($deeper)	{
+			if ($deeper) {
 				$cS = count($this->tsbrowser_searchKeys);
-				$keyArray = $this->ext_getSearchKeys($arr[$key.'.'], $depth, $searchString, $keyArray);
+				$keyArray = $this->ext_getSearchKeys($arr[$key . '.'], $depth, $searchString, $keyArray);
-				if ($cS != count($this->tsbrowser_searchKeys))	{
+				if ($cS != count($this->tsbrowser_searchKeys)) {
-					$keyArray[$depth]=1;
+					$keyArray[$depth] = 1;
 				}
 			}
 		}
@@ -560,13 +568,15 @@
 	 * @param	[type]		$pid: ...
 	 * @return	[type]		...
 	 */
-	function ext_getRootlineNumber($pid)	{
+	function ext_getRootlineNumber($pid) {
-		if ($pid && is_array($GLOBALS['rootLine']))	{
+		if ($pid && is_array($GLOBALS['rootLine'])) {
 			foreach ($GLOBALS['rootLine'] as $key => $val) {
-				if ($val['uid']==$pid)	return $key;
+				if ($val['uid'] == $pid) {
+					return $key;
-			}
-		}
-	}
+				}
+			}
+		}
+	}
 
 	/**
 	 * [Describe function...]
@@ -577,16 +587,16 @@
 	 * @param	[type]		$first: ...
 	 * @return	[type]		...
 	 */
-	function ext_getTemplateHierarchyArr($arr,$depthData, $keyArray,$first=0)	{
+	function ext_getTemplateHierarchyArr($arr, $depthData, $keyArray, $first = 0) {
-		$keyArr=array();
+		$keyArr = array();
 		foreach ($arr as $key => $value) {
-			$key=preg_replace('/\.$/','',$key);
+			$key = preg_replace('/\.$/', '', $key);
-			if (substr($key,-1)!='.')	{
+			if (substr($key, -1) != '.') {
-				$keyArr[$key]=1;
+				$keyArr[$key] = 1;
 			}
 		}
-		$a=0;
+		$a = 0;
-		$c=count($keyArr);
+		$c = count($keyArr);
 		static $i = 0;
 		foreach ($keyArr as $key => $value) {
 			$HTML = '';
@@ -595,8 +605,8 @@
 			$row = $arr[$key];
 
 			$PM = 'join';
-			$LN = ($a==$c) ? 'blank' : 'line';
+			$LN = ($a == $c) ? 'blank' : 'line';
-			$BTM = ($a==$c) ? 'top' : '';
+			$BTM = ($a == $c) ? 'top' : '';
 			$PM = 'join';
 
 			$HTML .= $depthData;
@@ -604,10 +614,10 @@
 			$alttext = '[' . $row['templateID'] . ']';
 			$alttext .= $row['pid'] ? ' - ' . t3lib_BEfunc::getRecordPath($row['pid'], $GLOBALS['SOBE']->perms_clause, 20) : '';
 
-			$icon = (substr($row['templateID'],0,3) == 'sys' ?
+			$icon = (substr($row['templateID'], 0, 3) == 'sys' ?
-						t3lib_iconWorks::getSpriteIconForRecord('sys_template', $row, array('title' => $alttext))
-						: t3lib_iconWorks::getSpriteIcon('mimetypes-x-content-template-static', array('title' => $alttext))
-					);
+					t3lib_iconWorks::getSpriteIconForRecord('sys_template', $row, array('title' => $alttext))
+					: t3lib_iconWorks::getSpriteIcon('mimetypes-x-content-template-static', array('title' => $alttext))
+			);
 			if (in_array($row['templateID'], $this->clearList_const) || in_array($row['templateID'], $this->clearList_setup)) {
 				$A_B = '<a href="index.php?id=' . htmlspecialchars($GLOBALS['SOBE']->id . '&template=' . $row['templateID']) . '">';
 				$A_E = '</a>';
@@ -620,20 +630,24 @@
 				$A_E = '';
 			}
 			$HTML .= ($first ? '' : '<img src="' . $GLOBALS['BACK_PATH'] . 'gfx/ol/' . $PM . $BTM . '.gif" width="18" height="16" align="top" border="0" alt="" />') .
-				 $icon .
-				$A_B . htmlspecialchars(t3lib_div::fixed_lgd_cs($row['title'], $GLOBALS['BE_USER']->uc['titleLen'])) . $A_E . '&nbsp;&nbsp;';
+					 $icon .
+					 $A_B . htmlspecialchars(t3lib_div::fixed_lgd_cs($row['title'], $GLOBALS['BE_USER']->uc['titleLen'])) . $A_E . '&nbsp;&nbsp;';
 			$RL = $this->ext_getRootlineNumber($row['pid']);
 			$keyArray[] = '<tr class="' . ($i++ % 2 == 0 ? 'bgColor4' : 'bgColor6') . '">
 							<td nowrap="nowrap">' . $HTML . '</td>
 							<td align="center">' . ($row['root'] ? t3lib_iconWorks::getSpriteIcon('status-status-checked') : '') . '&nbsp;&nbsp;</td>
-							<td align="center">' . ($row['clConf'] ? t3lib_iconWorks::getSpriteIcon('status-status-checked') :'') . '&nbsp;&nbsp;' . '</td>
+							<td align="center">' . ($row['clConf'] ? t3lib_iconWorks::getSpriteIcon('status-status-checked') : '') . '&nbsp;&nbsp;' . '</td>
 							<td align="center">' . ($row['clConst'] ? t3lib_iconWorks::getSpriteIcon('status-status-checked') : '') . '&nbsp;&nbsp;' . '</td>
 							<td align="center">' . ($row['pid'] ? $row['pid'] : '') . '</td>
 							<td align="center">' . (strcmp($RL, '') ? $RL : '') . '</td>
 							<td>' . ($row['next'] ? '&nbsp;' . $row['next'] . '&nbsp;&nbsp;' : '') . '</td>
 						</tr>';
-			if ($deeper)	{
+			if ($deeper) {
-				$keyArray = $this->ext_getTemplateHierarchyArr($arr[$key . '.'], $depthData . ($first ? '' : '<img src="' . $GLOBALS['BACK_PATH'] . 'gfx/ol/' . $LN . '.gif" width="18" height="16" align="top" />'), $keyArray);
+				$keyArray = $this->ext_getTemplateHierarchyArr(
+					$arr[$key . '.'],
+					$depthData . ($first ? '' : '<img src="' . $GLOBALS['BACK_PATH'] . 'gfx/ol/' . $LN . '.gif" width="18" height="16" align="top" />'),
+					$keyArray
+				);
 			}
 		}
 		return $keyArray;
@@ -646,21 +660,21 @@
 	 * @param	[type]		$pointer: ...
 	 * @return	[type]		...
 	 */
-	function ext_process_hierarchyInfo($depthDataArr,&$pointer)	{
+	function ext_process_hierarchyInfo($depthDataArr, &$pointer) {
-		$parent = $this->hierarchyInfo[$pointer-1]['templateParent'];
+		$parent = $this->hierarchyInfo[$pointer - 1]['templateParent'];
-		while ($pointer>0 && $this->hierarchyInfo[$pointer-1]['templateParent']==$parent)	{
+		while ($pointer > 0 && $this->hierarchyInfo[$pointer - 1]['templateParent'] == $parent) {
 			$pointer--;
 			$row = $this->hierarchyInfo[$pointer];
 
-			$depthDataArr[$row['templateID']]=$row;
+			$depthDataArr[$row['templateID']] = $row;
-			$depthDataArr[$row['templateID']]['bgcolor_setup'] = isset($this->clearList_setup_temp[$row['templateID']])?' class="bgColor5"':'';
+			$depthDataArr[$row['templateID']]['bgcolor_setup'] = isset($this->clearList_setup_temp[$row['templateID']]) ? ' class="bgColor5"' : '';
-			$depthDataArr[$row['templateID']]['bgcolor_const'] = isset($this->clearList_const_temp[$row['templateID']])?' class="bgColor5"':'';
+			$depthDataArr[$row['templateID']]['bgcolor_const'] = isset($this->clearList_const_temp[$row['templateID']]) ? ' class="bgColor5"' : '';
 			unset($this->clearList_setup_temp[$row['templateID']]);
 			unset($this->clearList_const_temp[$row['templateID']]);
-			$this->templateTitles[$row['templateID']]=$row['title'];
+			$this->templateTitles[$row['templateID']] = $row['title'];
 
-			if ($row['templateID']==$this->hierarchyInfo[$pointer-1]['templateParent'])	{
+			if ($row['templateID'] == $this->hierarchyInfo[$pointer - 1]['templateParent']) {
-				$depthDataArr[$row['templateID'].'.'] = $this->ext_process_hierarchyInfo(array(), $pointer);
+				$depthDataArr[$row['templateID'] . '.'] = $this->ext_process_hierarchyInfo(array(), $pointer);
 			}
 		}
 		return $depthDataArr;
@@ -677,21 +691,21 @@
 	 * @param	[type]		$syntaxHLBlockmode: ...
 	 * @return	[type]		...
 	 */
-	function ext_outputTS($config, $lineNumbers=0, $comments=0, $crop=0, $syntaxHL=0, $syntaxHLBlockmode=0)	{
+	function ext_outputTS($config, $lineNumbers = 0, $comments = 0, $crop = 0, $syntaxHL = 0, $syntaxHLBlockmode = 0) {
-		$all='';
+		$all = '';
 		foreach ($config as $str) {
-			$all .= LF .'[GLOBAL]' . LF . $str;
+			$all .= LF . '[GLOBAL]' . LF . $str;
 		}
 
-		if ($syntaxHL)	{
+		if ($syntaxHL) {
-			$all = preg_replace('/^[^'.LF.']*./','',$all);
+			$all = preg_replace('/^[^' . LF . ']*./', '', $all);
 			$all = chop($all);
 			$tsparser = t3lib_div::makeInstance('t3lib_TSparser');
-			$tsparser->lineNumberOffset=$this->ext_lineNumberOffset+1;
+			$tsparser->lineNumberOffset = $this->ext_lineNumberOffset + 1;
 			$tsparser->parentObject = $this;
-			return $tsparser->doSyntaxHighlight($all,$lineNumbers?array($this->ext_lineNumberOffset+1):'',$syntaxHLBlockmode);
+			return $tsparser->doSyntaxHighlight($all, $lineNumbers ? array($this->ext_lineNumberOffset + 1) : '', $syntaxHLBlockmode);
 		} else {
-			return $this->ext_formatTS($all,$lineNumbers,$comments,$crop);
+			return $this->ext_formatTS($all, $lineNumbers, $comments, $crop);
 		}
 	}
 
@@ -704,13 +718,13 @@
 	 * @param	[type]		$chars: ...
 	 * @return	[type]		...
 	 */
-	function ext_fixed_lgd($string,$chars)	{
+	function ext_fixed_lgd($string, $chars) {
-		if ($chars >= 4)	{
+		if ($chars >= 4) {
-			if(strlen($string)>$chars)  {
+			if (strlen($string) > $chars) {
-				if(strlen($string)>24 && substr($string,0,12) == '##'.$this->Cmarker.'_B##') {
+				if (strlen($string) > 24 && substr($string, 0, 12) == '##' . $this->Cmarker . '_B##') {
-					return '##'.$this->Cmarker.'_B##'.t3lib_div::fixed_lgd_cs(substr($string,12,-12), $chars-3).'##'.$this->Cmarker.'_E##';
+					return '##' . $this->Cmarker . '_B##' . t3lib_div::fixed_lgd_cs(substr($string, 12, -12), $chars - 3) . '##' . $this->Cmarker . '_E##';
 				} else {
-					return t3lib_div::fixed_lgd_cs($string, $chars-3);
+					return t3lib_div::fixed_lgd_cs($string, $chars - 3);
 				}
 			}
 		}
@@ -724,8 +738,8 @@
 	 * @param	[type]		$str: ...
 	 * @return	[type]		...
 	 */
-	function ext_lnBreakPointWrap($ln,$str)	{
+	function ext_lnBreakPointWrap($ln, $str) {
-		return '<a href="#" onClick="return brPoint('.$ln.','.($this->ext_lineNumberOffset_mode=="setup"?1:0).');">'.$str.'</a>';
+		return '<a href="#" onClick="return brPoint(' . $ln . ',' . ($this->ext_lineNumberOffset_mode == "setup" ? 1 : 0) . ');">' . $str . '</a>';
 	}
 
 	/**
@@ -737,26 +751,30 @@
 	 * @param	[type]		$crop: ...
 	 * @return	[type]		...
 	 */
-	function ext_formatTS($input, $ln, $comments=1, $crop=0)	{
+	function ext_formatTS($input, $ln, $comments = 1, $crop = 0) {
-		$input = preg_replace('/^[^'.LF.']*./','',$input);
+		$input = preg_replace('/^[^' . LF . ']*./', '', $input);
 		$input = chop($input);
-		$cArr = explode(LF,$input);
+		$cArr = explode(LF, $input);
 
-		$n = ceil(log10(count($cArr)+$this->ext_lineNumberOffset));
+		$n = ceil(log10(count($cArr) + $this->ext_lineNumberOffset));
-		$lineNum='';
+		$lineNum = '';
 		foreach ($cArr as $k => $v) {
-			$lln=$k+$this->ext_lineNumberOffset+1;
+			$lln = $k + $this->ext_lineNumberOffset + 1;
-			if ($ln)	$lineNum = $this->ext_lnBreakPointWrap($lln,str_replace(' ','&nbsp;',sprintf('% '.$n.'d',$lln))).':   ';
+			if ($ln) {
+				$lineNum = $this->ext_lnBreakPointWrap($lln, str_replace(' ', '&nbsp;', sprintf('% ' . $n . 'd', $lln))) . ':   ';
+			}
-			$v=htmlspecialchars($v);
+			$v = htmlspecialchars($v);
-			if ($crop)	{$v=$this->ext_fixed_lgd($v,($ln?71:77));}
+			if ($crop) {
+				$v = $this->ext_fixed_lgd($v, ($ln ? 71 : 77));
+			}
-			$cArr[$k] = $lineNum.str_replace(' ','&nbsp;',$v);
+			$cArr[$k] = $lineNum . str_replace(' ', '&nbsp;', $v);
 
-			$firstChar = substr(trim($v),0,1);
+			$firstChar = substr(trim($v), 0, 1);
-			if ($firstChar=='[')	{
+			if ($firstChar == '[') {
-				$cArr[$k] = '<font color="green"><strong>'.$cArr[$k].'</strong></font>';
+				$cArr[$k] = '<font color="green"><strong>' . $cArr[$k] . '</strong></font>';
-			} elseif ($firstChar=='/' || $firstChar=='#')	{
+			} elseif ($firstChar == '/' || $firstChar == '#') {
-				if ($comments)	{
+				if ($comments) {
-					$cArr[$k] = '<span class="typo3-dimmed">'.$cArr[$k].'</span>';
+					$cArr[$k] = '<span class="typo3-dimmed">' . $cArr[$k] . '</span>';
 				} else {
 					unset($cArr[$k]);
 				}
@@ -764,7 +782,7 @@
 
 
 		}
-		$output = implode($cArr, '<br />').'<br />';
+		$output = implode($cArr, '<br />') . '<br />';
 		return $output;
 	}
 
@@ -775,17 +793,17 @@
 	 * @param	[type]		$template_uid: ...
 	 * @return	[type]		...
 	 */
-	function ext_getFirstTemplate($id,$template_uid=0)		{
+	function ext_getFirstTemplate($id, $template_uid = 0) {
 			// Query is taken from the runThroughTemplates($theRootLine) function in the parent class.
-		if (intval($id))	{
+		if (intval($id)) {
-			if ($template_uid)	{
+			if ($template_uid) {
-				$addC = ' AND uid='.$template_uid;
+				$addC = ' AND uid=' . $template_uid;
 			}
-			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', 'sys_template', 'pid='.intval($id).$addC.' '.$this->whereClause, '', 'sorting', '1');
+			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', 'sys_template', 'pid=' . intval($id) . $addC . ' ' . $this->whereClause, '', 'sorting', '1');
 			$row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res);
-			t3lib_BEfunc::workspaceOL('sys_template',$row);
+			t3lib_BEfunc::workspaceOL('sys_template', $row);
 			$GLOBALS['TYPO3_DB']->sql_free_result($res);
-			return $row;	// Returns the template row if found.
+			return $row; // Returns the template row if found.
 		}
 	}
 
@@ -795,17 +813,19 @@
 	 * @param	[type]		$id: ...
 	 * @return	[type]		...
 	 */
-	function ext_getAllTemplates($id)		{
+	function ext_getAllTemplates($id) {
 			// Query is taken from the runThroughTemplates($theRootLine) function in the parent class.
-		if (intval($id))	{
+		if (intval($id)) {
-			$outRes=array();
+			$outRes = array();
-			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', 'sys_template', 'pid='.intval($id).' '.$this->whereClause, '', 'sorting');
+			$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', 'sys_template', 'pid=' . intval($id) . ' ' . $this->whereClause, '', 'sorting');
-			while($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{
+			while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
-				t3lib_BEfunc::workspaceOL('sys_template',$row);
+				t3lib_BEfunc::workspaceOL('sys_template', $row);
-				if (is_array($row))		$outRes[] = $row;
+				if (is_array($row)) {
+					$outRes[] = $row;
-			}
+				}
+			}
 			$GLOBALS['TYPO3_DB']->sql_free_result($res);
-			return $outRes;	// Returns the template rows in an array.
+			return $outRes; // Returns the template rows in an array.
 		}
 	}
 
@@ -816,43 +836,36 @@
 	 * @param	[type]		$default: ...
 	 * @return	[type]		...
 	 */
-	function ext_compareFlatSetups($default)	{
+	function ext_compareFlatSetups($default) {
-		$editableComments=array();
+		$editableComments = array();
 		reset($this->flatSetup);
 		foreach ($this->flatSetup as $const => $value) {
-			if (substr($const,-2)!='..' && isset($this->flatSetup[$const.'..']))	{
+			if (substr($const, -2) != '..' && isset($this->flatSetup[$const . '..'])) {
-				$comment = trim($this->flatSetup[$const.'..']);
+				$comment = trim($this->flatSetup[$const . '..']);
-				$c_arr = explode(LF,$comment);
+				$c_arr = explode(LF, $comment);
 				foreach ($c_arr as $k => $v) {
-					$line=trim(preg_replace('/^[#\/]*/','',$v));
+					$line = trim(preg_replace('/^[#\/]*/', '', $v));
-					if ($line)	{
+					if ($line) {
 						$parts = explode(';', $line);
 						foreach ($parts as $par) {
-							if (strstr($par,'='))	{
+							if (strstr($par, '=')) {
-								$keyValPair =explode('=',$par,2);
+								$keyValPair = explode('=', $par, 2);
-								switch(trim(strtolower($keyValPair[0])))	{
+								switch (trim(strtolower($keyValPair[0]))) {
 									case 'type':
 											// Type:
-											/*
-	int (range; low-high, list: item,item,item = selector),
-	boolean (check),
-	string (default),
-	wrap,
-	html-color ...,
-	file
-											*/
 										$editableComments[$const]['type'] = trim($keyValPair[1]);
 									break;
 									case 'cat':
 											// list of categories.
-										$catSplit=explode('/',strtolower($keyValPair[1]));
+										$catSplit = explode('/', strtolower($keyValPair[1]));
 										$editableComments[$const]['cat'] = trim($catSplit[0]);
-										$catSplit[1]=trim($catSplit[1]);	// This is the subcategory. Must be a key in $this->subCategories[]. catSplit[2] represents the search-order within the subcat.
+										$catSplit[1] = trim($catSplit[1]); // This is the subcategory. Must be a key in $this->subCategories[]. catSplit[2] represents the search-order within the subcat.
-										if ($catSplit[1] && isset($this->subCategories[$catSplit[1]]))	{
+										if ($catSplit[1] && isset($this->subCategories[$catSplit[1]])) {
-											$editableComments[$const]['subcat_name']=$catSplit[1];
+											$editableComments[$const]['subcat_name'] = $catSplit[1];
-											$editableComments[$const]['subcat']=$this->subCategories[$catSplit[1]][1].'/'.$catSplit[1].'/'.trim($catSplit[2]).'z';
+											$editableComments[$const]['subcat'] = $this->subCategories[$catSplit[1]][1] . '/' .
+																				  $catSplit[1] . '/' . trim($catSplit[2]) . 'z';
 										} else {
-											$editableComments[$const]['subcat']='x'.'/'.trim($catSplit[2]).'z';
+											$editableComments[$const]['subcat'] = 'x' . '/' . trim($catSplit[2]) . 'z';
 										}
 									break;
 									case 'label':
@@ -861,7 +874,7 @@
 									break;
 									case 'customsubcategory':
 											// custom subCategory label
-										$customSubcategory = explode('=',$keyValPair[1],2);
+										$customSubcategory = explode('=', $keyValPair[1], 2);
 										if (trim($customSubcategory[0])) {
 											$subCategoryKey = strtolower($customSubcategory[0]);
 											$this->subCategories[$subCategoryKey][0] = $GLOBALS['LANG']->sL($customSubcategory[1]);
@@ -873,11 +886,11 @@
 					}
 				}
 			}
-			if (isset($editableComments[$const]))	{
+			if (isset($editableComments[$const])) {
-				$editableComments[$const]['name']=$const;
+				$editableComments[$const]['name'] = $const;
-				$editableComments[$const]['value']=trim($value);
+				$editableComments[$const]['value'] = trim($value);
-				if (isset($default[$const]))	{
+				if (isset($default[$const])) {
-					$editableComments[$const]['default_value']=trim($default[$const]);
+					$editableComments[$const]['default_value'] = trim($default[$const]);
 				}
 			}
 		}
@@ -890,17 +903,17 @@
 	 * @param	[type]		$editConstArray: ...
 	 * @return	[type]		...
 	 */
-	function ext_categorizeEditableConstants($editConstArray)	{
+	function ext_categorizeEditableConstants($editConstArray) {
-		// Runs through the available constants and fills the $this->categories array with pointers and priority-info
+			// Runs through the available constants and fills the $this->categories array with pointers and priority-info
 		foreach ($editConstArray as $constName => $constData) {
 			if (!$constData['type']) {
-				$constData['type']='string';
+				$constData['type'] = 'string';
 			}
-			$cats = explode(',',$constData['cat']);
+			$cats = explode(',', $constData['cat']);
-			foreach ($cats as $theCat) {		// if = only one category, while allows for many. We have agreed on only one category is the most basic way...
+			foreach ($cats as $theCat) { // if = only one category, while allows for many. We have agreed on only one category is the most basic way...
-				$theCat=trim($theCat);
+				$theCat = trim($theCat);
-				if ($theCat)	{
+				if ($theCat) {
-					$this->categories[$theCat][$constName]=$constData['subcat'];
+					$this->categories[$theCat][$constName] = $constData['subcat'];
 				}
 			}
 		}
@@ -911,12 +924,12 @@
 	 *
 	 * @return	[type]		...
 	 */
-	function ext_getCategoryLabelArray()	{
+	function ext_getCategoryLabelArray() {
-		// Returns array used for labels in the menu.
+			// Returns array used for labels in the menu.
 		$retArr = array();
 		foreach ($this->categories as $k => $v) {
-			if (count($v))	{
+			if (count($v)) {
-				$retArr[$k]=strtoupper($k).' ('.count($v).')';
+				$retArr[$k] = strtoupper($k) . ' (' . count($v) . ')';
 			}
 		}
 		return $retArr;
@@ -928,33 +941,33 @@
 	 * @param	[type]		$type: ...
 	 * @return	[type]		...
 	 */
-	function ext_getTypeData($type)	{
+	function ext_getTypeData($type) {
 		$retArr = array();
-		$type=trim($type);
+		$type = trim($type);
-		if (!$type)	{
+		if (!$type) {
-			$retArr['type']='string';
+			$retArr['type'] = 'string';
 		} else {
-			$m=strcspn ($type,' [');
+			$m = strcspn($type, ' [');
-			$retArr['type']=strtolower(substr($type,0,$m));
+			$retArr['type'] = strtolower(substr($type, 0, $m));
-			if (t3lib_div::inList('int,options,file,boolean,offset,user', $retArr['type']))	{
+			if (t3lib_div::inList('int,options,file,boolean,offset,user', $retArr['type'])) {
-				$p=trim(substr($type,$m));
+				$p = trim(substr($type, $m));
 				$reg = array();
-				preg_match('/\[(.*)\]/',$p,$reg);
+				preg_match('/\[(.*)\]/', $p, $reg);
-				$p=trim($reg[1]);
+				$p = trim($reg[1]);
-				if ($p)	{
+				if ($p) {
-					$retArr['paramstr']=$p;
+					$retArr['paramstr'] = $p;
-					switch($retArr['type'])	{
+					switch ($retArr['type']) {
 						case 'int':
-							if (substr($retArr['paramstr'],0,1)=='-')	{
+							if (substr($retArr['paramstr'], 0, 1) == '-') {
-								$retArr['params']=t3lib_div::intExplode('-',substr($retArr['paramstr'],1));
+								$retArr['params'] = t3lib_div::intExplode('-', substr($retArr['paramstr'], 1));
-								$retArr['params'][0]=intval('-'.$retArr['params'][0]);
+								$retArr['params'][0] = intval('-' . $retArr['params'][0]);
 							} else {
-								$retArr['params']=t3lib_div::intExplode('-',$retArr['paramstr']);
+								$retArr['params'] = t3lib_div::intExplode('-', $retArr['paramstr']);
 							}
-							$retArr['paramstr']=$retArr['params'][0].' - '.$retArr['params'][1];
+							$retArr['paramstr'] = $retArr['params'][0] . ' - ' . $retArr['params'][1];
 						break;
 						case 'options':
-							$retArr['params']=explode(',',$retArr['paramstr']);
+							$retArr['params'] = explode(',', $retArr['paramstr']);
 						break;
 					}
 				}
@@ -969,12 +982,12 @@
 	 * @param	[type]		$category: ...
 	 * @return	[type]		...
 	 */
-	function ext_getTSCE_config($category)	{
+	function ext_getTSCE_config($category) {
-		$catConf=$this->setup['constants']['TSConstantEditor.'][$category.'.'];
+		$catConf = $this->setup['constants']['TSConstantEditor.'][$category . '.'];
-		$out=array();
+		$out = array();
-		if (is_array($catConf))	{
+		if (is_array($catConf)) {
 			foreach ($catConf as $key => $val) {
-				switch($key)	{
+				switch ($key) {
 					case 'image':
 						$out['imagetag'] = $this->ext_getTSCE_config_image($catConf['image']);
 					break;
@@ -984,12 +997,12 @@
 						$out[$key] = $val;
 					break;
 					default:
-						if (t3lib_div::testInt($key))	{
+						if (t3lib_div::testInt($key)) {
-							$constRefs = explode(',',$val);
+							$constRefs = explode(',', $val);
 							foreach ($constRefs as $const) {
-								$const=trim($const);
+								$const = trim($const);
-								if ($const && $const<=20)	{
+								if ($const && $const <= 20) {
-									$out['constants'][$const].=$this->ext_getKeyImage($key);
+									$out['constants'][$const] .= $this->ext_getKeyImage($key);
 								}
 							}
 						}
@@ -997,7 +1010,7 @@
 				}
 			}
 		}
-		$this->helpConfig=$out;
+		$this->helpConfig = $out;
 	}
 
 	/**
@@ -1006,8 +1019,8 @@
 	 * @param	[type]		$key: ...
 	 * @return	[type]		...
 	 */
-	function ext_getKeyImage($key)	{
+	function ext_getKeyImage($key) {
-		return '<img src="'.$this->ext_localWebGfxPrefix.'gfx/'.$key.'.gif" align="top" hspace=2>';
+		return '<img src="' . $this->ext_localWebGfxPrefix . 'gfx/' . $key . '.gif" align="top" hspace=2>';
 	}
 
 	/**
@@ -1016,23 +1029,23 @@
 	 * @param	[type]		$imgConf: ...
 	 * @return	[type]		...
 	 */
-	function ext_getTSCE_config_image($imgConf)	{
+	function ext_getTSCE_config_image($imgConf) {
-		if (substr($imgConf,0,4)=='gfx/')	{
+		if (substr($imgConf, 0, 4) == 'gfx/') {
-			$iFile=$this->ext_localGfxPrefix.$imgConf;
+			$iFile = $this->ext_localGfxPrefix . $imgConf;
-			$tFile=$this->ext_localWebGfxPrefix.$imgConf;
+			$tFile = $this->ext_localWebGfxPrefix . $imgConf;
-		} elseif (substr($imgConf,0,4)=='EXT:') {
+		} elseif (substr($imgConf, 0, 4) == 'EXT:') {
 			$iFile = t3lib_div::getFileAbsFileName($imgConf);
-			if ($iFile)	{
+			if ($iFile) {
-				$f = substr($iFile,strlen(PATH_site));
+				$f = substr($iFile, strlen(PATH_site));
-				$tFile=$GLOBALS['BACK_PATH'].'../'.$f;
+				$tFile = $GLOBALS['BACK_PATH'] . '../' . $f;
 			}
 		} else {
-			$f = 'uploads/tf/'.$this->extractFromResources($this->setup['resources'],$imgConf);
+			$f = 'uploads/tf/' . $this->extractFromResources($this->setup['resources'], $imgConf);
-			$iFile=PATH_site.$f;
+			$iFile = PATH_site . $f;
-			$tFile=$GLOBALS['BACK_PATH'].'../'.$f;
+			$tFile = $GLOBALS['BACK_PATH'] . '../' . $f;
 		}
-		$imageInfo=@getImagesize($iFile);
+		$imageInfo = @getImagesize($iFile);
-		return '<img src="'.$tFile.'" '.$imageInfo[3].'>';
+		return '<img src="' . $tFile . '" ' . $imageInfo[3] . '>';
 	}
 
 	/**
@@ -1040,25 +1053,25 @@
 	 *
 	 * @return	[type]		...
 	 */
-	function ext_resourceDims()	{
+	function ext_resourceDims() {
-		if ($this->setup['resources'])	{
+		if ($this->setup['resources']) {
-			$rArr=explode(',',$this->setup['resources']);
+			$rArr = explode(',', $this->setup['resources']);
 			foreach ($rArr as $c => $val) {
-				$val=trim($val);
+				$val = trim($val);
-				$theFile = PATH_site.'uploads/tf/'.$val;
+				$theFile = PATH_site . 'uploads/tf/' . $val;
-				if ($val && @is_file($theFile))	{
+				if ($val && @is_file($theFile)) {
 					$imgInfo = @getimagesize($theFile);
 				}
-				if (is_array($imgInfo))	{
+				if (is_array($imgInfo)) {
-					$this->resourceDimensions[$val]=' ('.$imgInfo[0].'x'.$imgInfo[1].')';
+					$this->resourceDimensions[$val] = ' (' . $imgInfo[0] . 'x' . $imgInfo[1] . ')';
 				}
 			}
 		}
 		foreach ($this->dirResources as $c => $val) {
-			$val=trim($val);
+			$val = trim($val);
-			$imgInfo = @getimagesize(PATH_site.$val);
+			$imgInfo = @getimagesize(PATH_site . $val);
-			if (is_array($imgInfo))	{
+			if (is_array($imgInfo)) {
-				$this->resourceDimensions[$val]=' ('.$imgInfo[0].'x'.$imgInfo[1].')';
+				$this->resourceDimensions[$val] = ' (' . $imgInfo[0] . 'x' . $imgInfo[1] . ')';
 			}
 		}
 	}
@@ -1069,9 +1082,9 @@
 	 * @param	[type]		$path: ...
 	 * @return	[type]		...
 	 */
-	function ext_readDirResources($path)	{
+	function ext_readDirResources($path) {
 		$path = trim($path);
-		if ($path && strstr($path, $GLOBALS['TYPO3_CONF_VARS']['BE']['fileadminDir']))	{
+		if ($path && strstr($path, $GLOBALS['TYPO3_CONF_VARS']['BE']['fileadminDir'])) {
 			$path = rtrim($path, '/');
 			$this->readDirectory(PATH_site . $path);
 		}
@@ -1084,17 +1097,17 @@
 	 * @param	[type]		$type: ...
 	 * @return	[type]		...
 	 */
-	function readDirectory($path,$type='file')	{
+	function readDirectory($path, $type = 'file') {
-		if(@is_dir($path))	{
+		if (@is_dir($path)) {
 			$d = @dir($path);
-			$tempArray=Array();
+			$tempArray = Array();
-			if (is_object($d))	{
+			if (is_object($d)) {
-				while($entry=$d->read()) {
+				while ($entry = $d->read()) {
-					if ($entry!='.' && $entry!='..')	{
+					if ($entry != '.' && $entry != '..') {
-						$wholePath = $path.'/'.$entry;		// Because of odd PHP-error where  <BR>-tag is sometimes placed after a filename!!
+						$wholePath = $path . '/' . $entry; // Because of odd PHP-error where  <BR>-tag is sometimes placed after a filename!!
-						if (file_exists($wholePath) && (!$type || filetype($wholePath)==$type))	{
+						if (file_exists($wholePath) && (!$type || filetype($wholePath) == $type)) {
 							$fI = t3lib_div::split_fileref($wholePath);
-							$this->dirResources[]=substr($wholePath,strlen(PATH_site));
+							$this->dirResources[] = substr($wholePath, strlen(PATH_site));
 						}
 					}
 				}
@@ -1109,15 +1122,15 @@
 	 * @param	[type]		$params: ...
 	 * @return	[type]		...
 	 */
-	function ext_fNandV($params)	{
+	function ext_fNandV($params) {
-		$fN='data['.$params['name'].']';
+		$fN = 'data[' . $params['name'] . ']';
-		$fV=$params['value'];
+		$fV = $params['value'];
-		if (preg_match('/^{[\$][a-zA-Z0-9\.]*}$/',trim($fV),$reg))	{		// Values entered from the constantsedit cannot be constants!	230502; removed \{ and set {
+		if (preg_match('/^{[\$][a-zA-Z0-9\.]*}$/', trim($fV), $reg)) { // Values entered from the constantsedit cannot be constants!	230502; removed \{ and set {
-			$fV='';
+			$fV = '';
 		}
-		$fV=htmlspecialchars($fV);
+		$fV = htmlspecialchars($fV);
 
-		return array($fN,$fV,$params);
+		return array($fN, $fV, $params);
 	}
 
 	/**
